Package org.bukkit.event.entity

# Class ExplosionPrimeEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.ExplosionPrimeEvent

All Implemented Interfaces:
  `Cancellable`

public class ExplosionPrimeEvent extends EntityEvent implements Cancellable
Called when an entity has made a decision to explode.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`ExplosionPrimeEvent(@NotNull Entity what, float radius, boolean fire)`
`ExplosionPrimeEvent(@NotNull Explosive explosive)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getFire()`
Gets whether this explosion will create fire or not
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`float`
`getRadius()`
Gets the radius of the explosion
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setFire(boolean fire)`
Sets whether this explosion will create fire or not
`void`
`setRadius(float radius)`
Sets the radius of the explosion

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntity, getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExplosionPrimeEvent

public ExplosionPrimeEvent(@NotNull @NotNull Entity what, float radius, boolean fire)

### ExplosionPrimeEvent

public ExplosionPrimeEvent(@NotNull @NotNull Explosive explosive)

## Method Details

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getRadius

public float getRadius()
Gets the radius of the explosion

Returns:
  returns the radius of the explosion

### setRadius

public void setRadius(float radius)
Sets the radius of the explosion

Parameters:
  `radius` - the radius of the explosion

### getFire

public boolean getFire()
Gets whether this explosion will create fire or not

Returns:
  true if this explosion will create fire

### setFire

public void setFire(boolean fire)
Sets whether this explosion will create fire or not

Parameters:
  `fire` - true if you want this explosion to create fire

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()